












Configurations du pipeline d'ingestion RAG bêta
API RAG (beta) - configurations de pipeline d'ingestion.












Exemples
Exemples réels de code
Lister les configurations de pipeline d'ingestion
GET /v1/rag/ingestion_pipeline_configurations#
Pour l'espace de travail actuel, répertorie toutes les configurations de pipeline d'ingestion enregistrées.
200
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.list();
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.list();
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.list()
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.list()
# Handle response
print(res)
curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
[
{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}
][
{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}
]Enregistrer une configuration
PUT /v1/rag/ingestion_pipeline_configurations#
Enregistrer une configuration d'ingestion.
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.register({
name: "<value>",
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.register({
name: "<value>",
});
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.register(name="<value>")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.register(name="<value>")
# Handle response
print(res)
curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "My resource"
}'curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"name": "My resource"
}'200
{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}Mettre à jour les informations d'exécution
PUT /v1/rag/ingestion_pipeline_configurations/{id}/run_info#
Mettre à jour les informations d'exécution
Playground
Testez les endpoints en direct
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.updateRunInfo({
id: "6b630c1b-b57e-4237-a015-ff6247cbbcf8",
updateRunInfo: {
executionTime: new Date("2024-06-27T06:29:04.390Z"),
chunksCount: 983906,
},
});
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.rag.ingestionPipelineConfigurations.updateRunInfo({
id: "6b630c1b-b57e-4237-a015-ff6247cbbcf8",
updateRunInfo: {
executionTime: new Date("2024-06-27T06:29:04.390Z"),
chunksCount: 983906,
},
});
console.log(result);
}
run();
from mistralai.client import Mistral
from mistralai.client.utils import parse_datetime
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.update_run_info(id="6b630c1b-b57e-4237-a015-ff6247cbbcf8", execution_time=parse_datetime("2024-06-27T06:29:04.390Z"), chunks_count=983906)
# Handle response
print(res)
from mistralai.client import Mistral
from mistralai.client.utils import parse_datetime
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.rag.ingestion_pipeline_configurations.update_run_info(id="6b630c1b-b57e-4237-a015-ff6247cbbcf8", execution_time=parse_datetime("2024-06-27T06:29:04.390Z"), chunks_count=983906)
# Handle response
print(res)
curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations/{id}/run_info \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"chunks_count": 87,
"execution_time": "2025-01-15T09:30:00Z"
}'curl https://api.mistral.ai/v1/rag/ingestion_pipeline_configurations/{id}/run_info \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"chunks_count": 87,
"execution_time": "2025-01-15T09:30:00Z"
}'200
{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}{
"author_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"created_at": "2025-12-17T10:25:07.818693Z",
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_run_chunks_count": 87,
"last_run_time": null,
"modified_at": "2025-12-17T10:41:03.469341Z",
"name": "My resource",
"pipeline_composition": null,
"total_chunks_count": 14
}